/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */
package org.milaifontanals;

import java.io.FileReader;
import java.io.IOException;
import java.sql.*;
import java.util.Properties;

/**
 *
 * @author Usuari
 */
public class PrimeraConnexioOracle {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        String url;
        String usuari;
        String contrasenya;
        try {
            Properties p = new Properties();
            p.load(new FileReader("config.properties"));
            url = p.getProperty("url");
            usuari = p.getProperty("user");
            contrasenya = p.getProperty("pwd");
        } catch (IOException ex) {
            System.out.println("Problema en obtenir propietats de connexió");
            System.out.println("Info: " + ex.getMessage());
            return;
        }
        if (url == null) {
            System.out.println("No s'ha indicat URL de connexió");
            return;
        }

        Connection c = null;
        try {
            c = DriverManager.getConnection(url, usuari, contrasenya);
            System.out.println("Connexió establerta");
            System.out.println("Nom de la classe facilitada pel fabricant: "+c.getClass().getName());
            System.out.println("Té autocommit? " + c.getAutoCommit());
            c.setAutoCommit(false);
            System.out.println("Té autocommit després de desactivar-lo? " + c.getAutoCommit());
        } catch (SQLException ex) {
            System.out.println("No s'ha pogut establir la connexió");
            System.out.println("Info: " + ex.getMessage());
            return;
        }

        /* Treballariem */
        try {
            c.close();
            System.out.println("Connexió tancada");
        } catch (SQLException ex) {
            System.out.println("Error en tancar la connexió");
            System.out.println("Info: " + ex.getMessage());
        }

    }

}
